Matplotlib: Basemap toolkit

Probleme bei der Installation?
bremer
User
Beiträge: 109
Registriert: Sonntag 25. Mai 2008, 00:13

Matplotlib: Basemap toolkit

Beitragvon bremer » Sonntag 25. Mai 2008, 00:21

Hi, ich bin neu bei Python.

Ich habe Numpy/Scipy/Matplotlib intalliert, läuft auch wunderbar und bin dann noch auf das Toolkit "Basemap" gestoßen.

http://www.scipy.org/Cookbook/Matplotlib/Maps

Habe das installiert, aber es funktioniert nicht.

Wenn ich dann den Befehl importieren will, wie es auf der Seite angegeben ist, bekomme ich folgende Meldung:

from matplotlib.toolkits.basemap import Basemap

Traceback (most recent call last):
File "<pyshell#0>", line 1, in <module>
from matplotlib.toolkits.basemap import Basemap
File "C:\Python25\lib\site-packages\matplotlib\toolkits\basemap\__init__.py", line 1, in <module>
from basemap import __doc__, __version__
File "C:\Python25\lib\site-packages\matplotlib\toolkits\basemap\basemap.py", line 38, in <module>
import _geos, pupynere, netcdftime
File "C:\Python25\lib\site-packages\matplotlib\toolkits\basemap\pupynere.py", line 37, in <module>
from dap.client import open as open_remote
File "C:\Python25\lib\site-packages\dap\client.py", line 4, in <module>
from dap.util.http import openurl
File "C:\Python25\lib\site-packages\dap\util\http.py", line 3, in <module>
import httplib2
ImportError: No module named httplib2


Der Basemap-Ordner mit den Dateien ist aber vorhanden. Ich weiß garnicht, was da falsch laufen kann.
CM
User
Beiträge: 2464
Registriert: Sonntag 29. August 2004, 19:47
Kontaktdaten:

Beitragvon CM » Dienstag 27. Mai 2008, 13:38

GEOS ist installiert? Keine Versionsabhängigkeiten verletzt? Dann weiß ich es nicht. Bei mir (Linux) funktionert es.

Wenn nicht jemand unter Windows das schon mal beobachtet hat und Hilfe weiß, magst Du vielleicht auf der Mailingliste nachfragen?

Gruß,
Christian
bremer
User
Beiträge: 109
Registriert: Sonntag 25. Mai 2008, 00:13

Beitragvon bremer » Mittwoch 28. Mai 2008, 05:59

Geos geht.

Ich probiere das selbe nun nochmal unter Ubuntu, aber dort fehlt mir geos. Wo bekommt man das her? Ich finde nur deadlinks und der Paketmanager bietet so etwas nur für C/C++.

Unter Windows schaue ich mal ob es an httplib2 liegt.
CM
User
Beiträge: 2464
Registriert: Sonntag 29. August 2004, 19:47
Kontaktdaten:

Beitragvon CM » Mittwoch 28. Mai 2008, 09:17

bremer hat geschrieben:Ich probiere das selbe nun nochmal unter Ubuntu, aber dort fehlt mir geos. Wo bekommt man das her? Ich finde nur deadlinks und der Paketmanager bietet so etwas nur für C/C++.
.

Das ist im Download enthalten. Du mußt in das entsprechende Verzeichnis wechseln und mit configure & make & make install nachhelfen. Dann erst basemap mit python setup.py install installieren.

HTH
Christian
bremer
User
Beiträge: 109
Registriert: Sonntag 25. Mai 2008, 00:13

Beitragvon bremer » Donnerstag 29. Mai 2008, 05:43

Thx, jetzt konnte ich es immerhin unter Ubuntu installieren.

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder